org.apache.fontbox.ttf.table.common

## Class FeatureTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.FeatureTable

    public class FeatureTable
    extends Object

This class models the Feature table in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`FeatureTable(int featureParams, int lookupIndexCount, int[] lookupListIndices)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFeatureParams()`
`int` `getLookupIndexCount()`
`int[]` `getLookupListIndices()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FeatureTable

    public FeatureTable(int featureParams,
                        int lookupIndexCount,
                        int[] lookupListIndices)

### Method Detail

#### getFeatureParams

    public int getFeatureParams()

#### getLookupIndexCount

    public int getLookupIndexCount()

#### getLookupListIndices

    public int[] getLookupListIndices()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`